package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class QxxxfyxxDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private String rsjcqxksclsqlsh;

    @ApiModelProperty(value = "办件流水号")
    @NotBlank(message = "办件流水号不能为空")
    private String rsWbBjLsh;

    @ApiModelProperty(value = "受理流水号")
    private String sllsh;

    @ApiModelProperty(value = "拖欠工资项目名称")
    @NotBlank(message = "拖欠工资项目名称不能为空")
    private String xmmc;

    @ApiModelProperty(value = "是否签订劳动合同")
    @NotBlank(message = "是否签订劳动合同不能为空")
    private String sfqdldht;

    @ApiModelProperty(value = "实际用工所在地")
    @NotBlank(message = "实际用工所在地不能为空")
    private String sjygszd;

    @ApiModelProperty(value = "详细地址")
    private String xxdz;

    @ApiModelProperty(value = "建设单位名称")
    private String jsdwmc;

    @ApiModelProperty(value = "总承包单位名称")
    private String zcbdwm;

    @ApiModelProperty(value = "分包单位名称")
    private String fbdw;

    @ApiModelProperty(value = "分包单位负责人")
    private String fbdwfzr;

    @ApiModelProperty(value = "分包单位负责人联系电话")
    private String fbdwfzrlxdh;

    @ApiModelProperty(value = "班组长姓名")
    @NotBlank(message = "班组长姓名不能为空")
    private String bzzxm;

    @ApiModelProperty(value = "班组长联系电话")
    @NotBlank(message = "班组长联系电话不能为空")
    private String bzzlxdh;

    @ApiModelProperty(value = "行业领域")
    @NotBlank(message = "行业领域不能为空")
    private String hyly;

    @ApiModelProperty(value = "是否政府投资项目")
    @NotBlank(message = "是否政府投资项目不能为空")
    private String sfzftzxm;

    @ApiModelProperty(value = "欠薪人数（人）")
    @NotBlank(message = "欠薪人数不能为空")
    private String qxrs;

    @ApiModelProperty(value = "欠薪金额（元）")
    @NotBlank(message = "欠薪金额不能为空")
    private String qxje;

    @ApiModelProperty(value = "欠薪发生时间")
    @NotBlank(message = "欠薪发生时间不能为空")
    private String qxsj;

    @ApiModelProperty(value = "欠薪基本情况摘要")
    @NotBlank(message = "欠薪基本情况摘要不能为空")
    private String qxjbqkzy;

    @ApiModelProperty(value = "是否曾经通过以下途径反映上述问题")
    @NotBlank(message = "是否曾经通过以下途径反映上述问题不能为空")
    private String sfcjfy;

    @ApiModelProperty(value = "反映情况详细说明")
    private String sfcjfysm;

    public String getRsjcqxksclsqlsh() {
        return rsjcqxksclsqlsh;
    }

    public void setRsjcqxksclsqlsh(String rsjcqxksclsqlsh) {
        this.rsjcqxksclsqlsh = rsjcqxksclsqlsh;
    }

    public String getRsWbBjLsh() {
        return rsWbBjLsh;
    }

    public void setRsWbBjLsh(String rsWbBjLsh) {
        this.rsWbBjLsh = rsWbBjLsh;
    }

    public String getSllsh() {
        return sllsh;
    }

    public void setSllsh(String sllsh) {
        this.sllsh = sllsh;
    }

    public String getXmmc() {
        return xmmc;
    }

    public void setXmmc(String xmmc) {
        this.xmmc = xmmc;
    }

    public String getSfqdldht() {
        return sfqdldht;
    }

    public void setSfqdldht(String sfqdldht) {
        this.sfqdldht = sfqdldht;
    }

    public String getSjygszd() {
        return sjygszd;
    }

    public void setSjygszd(String sjygszd) {
        this.sjygszd = sjygszd;
    }

    public String getXxdz() {
        return xxdz;
    }

    public void setXxdz(String xxdz) {
        this.xxdz = xxdz;
    }

    public String getJsdwmc() {
        return jsdwmc;
    }

    public void setJsdwmc(String jsdwmc) {
        this.jsdwmc = jsdwmc;
    }

    public String getZcbdwm() {
        return zcbdwm;
    }

    public void setZcbdwm(String zcbdwm) {
        this.zcbdwm = zcbdwm;
    }

    public String getFbdw() {
        return fbdw;
    }

    public void setFbdw(String fbdw) {
        this.fbdw = fbdw;
    }

    public String getFbdwfzr() {
        return fbdwfzr;
    }

    public void setFbdwfzr(String fbdwfzr) {
        this.fbdwfzr = fbdwfzr;
    }

    public String getFbdwfzrlxdh() {
        return fbdwfzrlxdh;
    }

    public void setFbdwfzrlxdh(String fbdwfzrlxdh) {
        this.fbdwfzrlxdh = fbdwfzrlxdh;
    }

    public String getBzzxm() {
        return bzzxm;
    }

    public void setBzzxm(String bzzxm) {
        this.bzzxm = bzzxm;
    }

    public String getBzzlxdh() {
        return bzzlxdh;
    }

    public void setBzzlxdh(String bzzlxdh) {
        this.bzzlxdh = bzzlxdh;
    }

    public String getHyly() {
        return hyly;
    }

    public void setHyly(String hyly) {
        this.hyly = hyly;
    }

    public String getSfzftzxm() {
        return sfzftzxm;
    }

    public void setSfzftzxm(String sfzftzxm) {
        this.sfzftzxm = sfzftzxm;
    }

    public String getQxrs() {
        return qxrs;
    }

    public void setQxrs(String qxrs) {
        this.qxrs = qxrs;
    }

    public String getQxje() {
        return qxje;
    }

    public void setQxje(String qxje) {
        this.qxje = qxje;
    }

    public String getQxsj() {
        return qxsj;
    }

    public void setQxsj(String qxsj) {
        this.qxsj = qxsj;
    }

    public String getQxjbqkzy() {
        return qxjbqkzy;
    }

    public void setQxjbqkzy(String qxjbqkzy) {
        this.qxjbqkzy = qxjbqkzy;
    }

    public String getSfcjfy() {
        return sfcjfy;
    }

    public void setSfcjfy(String sfcjfy) {
        this.sfcjfy = sfcjfy;
    }

    public String getSfcjfysm() {
        return sfcjfysm;
    }

    public void setSfcjfysm(String sfcjfysm) {
        this.sfcjfysm = sfcjfysm;
    }
}

